/*
    This file is part of the CLib sub-project of the FreeDOS project
    Copyright (C) 1997 by the author see below

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: _clibbu.ccc $
   $Locker: ska $	$Name:  $	$State: Exp $

	char _clib_build[];

	Contains the CLib build parameters.

	The build parameter looks like:
		CLib version #.#.#, build date YYYY/MM/DD HH:MM:SS\n
		General debug support disabled\n
		Heap debug support disabled\n
	Meaning:
		line #1: The CLib version (see _clib_version), the distribution date
		line #2: says if NDEBUG is on or off
		line #2: says if heap debug is on or off

	Input:
		<none>

	Return:
		<none>

	Note:
		<none>

	Conforms to:
		<none>

	See also:

	Target compilers:
		Any C compiler

	Origin:
		Steffen Kaiser (ska)

	Revised by:
		<none>

	File Revision:    Revision 0.0.0.5  1998/02/11 07:40:47  ska
*/

#include <_clib.h>			/* standard include, must be the first! */

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: _clibbu.ccc 0.0.0.5 1998/02/11 07:40:47 ska Exp ska $";
#endif

_CLibVar const char _clib_build[] = 
"Clib version 0.0.5, build date 1998/02/11 07:40:47\n"

#ifndef NDEBUG
"General debug support enabled\n"
#else	/* NDEBUG */
"General debug support disabled\n"
#endif	/* NDEBUG */

#ifdef DEBUG_HEAP
"Heap debug support enabled\n"
#else	/* DEBUG_HEAP */
"Heap debug support disabled\n"
#endif	/* DEBUG_HEAP */

;
