/*
    This file is part of the CLib sub-project of the FreeDOS project
    Copyright (C) 1997 by the author see below

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: STRREALL.C $
   $Locker:  $	$Name:  $	$State: Exp $

	char_t *strrealloc(char_t *str)

	Reallocate a dynamically allocated memory area so it fits perfectly
	to the string. Note: the formerly allocated area had to be larger than
	the actually needed area!

	Input:
		str may be NULL

	Return:
		NULL if str == NULL
		else, reallocated str

	Note:
		because the memory area will shrink, it very unlikely that
		strrealloc() will fail!

	Conforms to:
		<none>

	See also:
		strdup, realloc

	Target compilers:
		Any C compiler

	Origin:
		1997/10/10 Steffen Kaiser (ska)

	Revised by:
		<none>

	File Revision:    Revision 1.3  1998/02/08 04:55:59  ska
*/

#include <_clib.h>			/* standard include, must be the first! */
#include <alloc.h>
#include <_string.h>

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: STRREALL.C 1.3 1998/02/08 04:55:59 ska Exp $";
#endif

_CLibFunc char_t ___PTR *
strrealloc(char_t ___PTR * const str)
{	return str? realloc(str, strlen(str) + 1): NULL;
}
